%define mainversion 4.13
%define subversion b
Summary:	Converts text and other types of files to PostScript(TM)
Name:		a2ps
Version:	%{mainversion}%{subversion}
Release:	5mdk
License:	GPL
Group:		Publishing

Source:		%{name}-%{version}.tar.bz2 
Patch0:		a2ps-4.13-includes.patch.bz2
Patch1:		a2ps-4.13-64bit-fixes.patch.bz2
Patch2:		a2ps-4.13-varargs.patch.bz2

Prereq:		/sbin/install-info
Url:		http://www.inf.enst.fr/~demaille/a2ps/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	XFree86
#BuildRequires:	XFree86-static-libs
BuildRequires:	bison
BuildRequires:	emacs-bin
#BuildRequires:	fetchmail
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	mawk
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	texinfo
#BuildRequires:	xemacs
BuildRequires:  psutils
#Buildrequires:  gv
BuildRequires:  ImageMagick
Buildrequires:  groff
#Requires: ImageMagick groff gv psutils tetex-dvips tetex-latex texinfo
Requires: ImageMagick groff psutils
Requires: file binutils

%description
The a2ps filter converts text and other types of files to PostScript(TM).
a2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.


%package devel
Summary:	Include files for %name
Group:		Development/Other
PreReq:		%name = %version-%release

%description devel
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

This package holds include files.


%package static-devel
Summary:	Static libraries for %name
Group:          Development/Other
PreReq:         %name-devel = %version-%release

%description static-devel
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

This package holds static libraries.


%prep
%setup -q -n %{name}-%{mainversion}
%patch0 -p1 -b .includes
%patch1 -p1 -b .64bit-fixes
%patch2 -p1 -b .varargs

%build

%configure --with-included-gettext
%make

%install
rm -fr %buildroot

%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info a2ps.info
%_install_info ogonkify.info
%_install_info regex.info
# Adapt /usr/share/a2ps/afm/fonts.map to the current system environment
( cd %_datadir/%{name}/afm/
  ./make_fonts_map.sh > /dev/null 2>&1
  mv -f fonts.map.new fonts.map
)

%preun
%_remove_install_info a2ps.info
%_remove_install_info ogonkify.info
%_remove_install_info regex.info

%files -f %{name}.lang
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%doc AUTHORS COPYING NEWS README TODO THANKS
%{_bindir}/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*
%{_infodir}/regex.info*
%{_mandir}/man1/*
%{_datadir}/a2ps/
%{_datadir}/ogonkify/
%{_datadir}/emacs/site-lisp/a2ps-print.el
%{_datadir}/emacs/site-lisp/a2ps.el
%_datadir/emacs/site-lisp/*.elc

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_includedir}/*
%_libdir/*.la

%files static-devel
%defattr(-,root,root,-)
%_libdir/*.a

%changelog
* Fri Oct  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.13b-5mdk
- includes, 64-bit & varargs & 64-bit fixes

* Sun Mar 14 2004 Till Kamppeter <till@mandrakesoft.com> 4.13b-4mdk
- Removed "gv" from "Requires:".

* Sun Aug 24 2003 Till Kamppeter <till@mandrakesoft.com> 4.13b-3mdk
- Let the post-install script adapt /usr/share/a2ps/afm/fonts.map to the
  current system environment.

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.13b-2mdk
- rebuild
- drop redundant buildrequires

* Thu Jan 16 2003 Till Kamppeter <till@mandrakesoft.com> 4.13b-1mdk
- Rebuild for new glibc.
- Renamed version from 4.13 to 4.13b to make robots happy.

* Tue Jul  9 2002 Till Kamppeter <till@mandrakesoft.com> 4.13-14mdk
- Removed TeX/LaTeX from the "Requires:", most users don't need it and who
  needs it has it installed anyway.

* Wed Mar 13 2002 Till Kamppeter <till@mandrakesoft.com> 4.13-13mdk
- Added "Requires:": file, binutils (from "binutils" the "strings" utility 
  is needed.

* Fri Feb 01 2002 Stefan van der Eijk <stefan@eijk.nu> 4.13-12mdk
- BuildRequires emacs --> emacs-bin

* Fri Feb  1 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.13-11mdk
- corrected BuildRequires and Requires
- rebuild to correct the expansions of macros 

* Fri Feb 01 2002 Stefan van der Eijk <stefan@eijk.nu> 4.13-10mdk
- BuildRequires

* Mon Jan 21 2002 David BAUDENS <baudens@mandrakesoft.com> 4.13-9mdk
- Move *.la in devel package (thanks to Guillaume Cottenceau)

* Sat Jan 19 2002 David BAUDENS <baudens@mandrakesoft.com> 4.13-8mdk
- Fix Group: for devel package
- PreReq: %%name = %%version-%%release and not only %%name
- Move static libraries in static-devel package
- Add missing files
- Remove uneeded %%post devel and %%postun devel

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.13-7mdk
- fix filelist

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.13-6mdk
- rebuild

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.13-5mdk
- rebuild

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.13-4mdk
- BM

* Mon Jul 17 2000 Anton Graham <darkimage@bigfoot.com> 4.13-3mdk
- Ugh.  Fix %post and %preun (my fault :( )
- move ldconfig (%post and %postun) to -devel

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.13-2mdk
- split package in normal & -devel one
- Anton Graham <darkimage@bigfoot.com> : macroification (good work)

* Mon May 29 2000 Anton Graham <darkimage@bigfoot.com> 4.13-1mdk
- v4.13
- use %{_tmppath}

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.12-2mdk
- fix group
- bz2 info pages
- fix permission on sources

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v4.12
- build for mandrake

* Thu Aug 5 1999 Tim Powers <timp@redhat.com>
- fixed problems with missing dirs as reported in bug 3822
- built for powertools

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- rebuilt for powertools 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- add a2ps-site.cfg

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- update to 4.12 for Powertools 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- narrower range of %files splats.
- install info correctly.
- new description/summary text.

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated source

* Sat Jul 04 1998 Michael Maher <mike@redhat.com>
- built package
